TransportSIChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Class TransportSIChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.transport.TransportSIChangeEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NetworkChangeEvent, ServiceDetailsChangeEvent, TransportStreamChangeEvent

    public abstract class TransportSIChangeEvent

extends SIChangeEvent

An `TransportSIChangeEvent` notifies an `SIChangeListener` of changes detected to the SI on a `Transport`.

Subtypes `ServiceDetailsChangeEvent`, `TransportStreamChangeEvent`, `NetworkChangeEvent` and `BouquetChangeEvent` are used to signal changes to service details, transport streams, networks and bouquets, respectively. Changes to program events are signaled through `ProgramScheduleChangeEvent`.

See Also:
  `Transport`, Serialized Form

Constructor Summary
`TransportSIChangeEvent(Transport transport, SIChangeType type, SIElement e)` Constructs an `TransportSIChangeEvent`.

Method Summary
`Transport` | `getTransport()` Reports the `Transport` that generated the event.

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransportSIChangeEvent

    public TransportSIChangeEvent(Transport transport,
                                  SIChangeType type,
                                  SIElement e)

  Constructs an `TransportSIChangeEvent`.

  Parameters:
    `transport` - The `Transport` on which the change occurred.
    `type` - The type of change that occurred.
    `e` - The `SIElement` that changed.

Method Detail

### getTransport

    public Transport getTransport()

  Reports the `Transport` that generated the event. It will be identical to the object returned by the `getSource()` method.

  Returns:
    The `Transport` that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD